<?php
/*
=====================================================
 Модуль создал: REZER (http://rezer.net)
=====================================================
 Файл: currency.php
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Назначение: массовые действия с валютами
=====================================================
*/

//-------------------------------------------------====
//	Инициализация
//-------------------------------------------------====

if( !defined( "DATALIFEENGINE" ) ) die( "Hacking attempt!" );

//-------------------------------------------------====
//	Само выполнение
//-------------------------------------------------====

$action = $_REQUEST['action'];
$CheckCurrency = $_REQUEST['CheckCurrency'];
$Accept = intval( $_REQUEST['accept'] );
if( $action == "sort" && count( $CheckCurrency ) < 1 ) $CheckCurrency[] = 1;
if( is_array( $CheckCurrency ) && count( $CheckCurrency ) > 0 )
	{
		$HiddenCheck = "";
		foreach( $CheckCurrency as $key => $id )
			{
				$id = intval( $id );
				if( !$id )
					{
						unset( $CheckCurrency[ $key ] );
					}
						else
					{
						$CheckCurrency[ $key ] = $id;
						$HiddenCheck .= "<input type=\"hidden\" name=\"CheckCurrency[]\" value=\"{$id}\" />";
					}
			}
		
		$HiddenCheck .= "<input type=\"hidden\" name=\"accept\" value=\"1\" />";
		$HiddenCheck .= "<input type=\"hidden\" name=\"action\" value=\"{$action}\" />";
		$HiddenCheck .= "<input type=\"hidden\" name=\"TypeAction\" value=\"currency\" />";
		
		$CountCheck = count( $CheckCurrency );
		if( $CountCheck > 0 )
			{
				//-------------------------------------------------====
				//	Сортировка
				//-------------------------------------------------====

				if( $action == "sort" )
					{
						$Sort = $_REQUEST['sort'];
						if( count( $Sort ) > 0 && is_array( $Sort ) )
							{
								foreach( $Sort as $id => $value )
									{
										$value = intval( $value );
										$id = intval( $id );
										if( $id )
											{
												$db->query( "UPDATE ".PREFIX."_board_options SET `sort`='{$value}' WHERE `id`='{$id}' LIMIT 1" );
											}
									}
											
								echo "<span style=\"color: green; font-weight: bold;\">Отсортировано</span><script language=\"javascript\" type=\"text/javascript\">UpdateList( 'currency' );</script>";
								$Board->CleareAllCache();
							}
								else
							{
								echo "<span style=\"color: #F00; font-weight: bold;\">Ошибка</span>";
							}
					}
					
				//-------------------------------------------------====
				//	Удаление
				//-------------------------------------------------====

				elseif( $action == "del" )
					{
						if( $Accept )
							{
								foreach( $CheckCurrency as $id )
									{
										$id = intval( $id );
										if( $id )
											{
												//$Board->SaveBoardOpt( $Board->DB['board_type'][2], array( "qwe" => "123" ) );
												$db->query( "DELETE FROM ".PREFIX."_board_options WHERE id='{$id}' LIMIT 1" );
											}
									}
									
								$Board->CleareAllCache();
								opentable();
								tableheader( "Список валют &raquo; Массовые действия" );
echo <<<HTML

<div style="padding: 25px; text-align: center;">
	Выбранные <strong>({$CountCheck})</strong> валюты, были успешно удалены<br /><br />
	<a href="javascript:void(0);" onclick="UpdateList( 'currency' ); return false;">Вернуться назад</a>
</div>

HTML;
								closetable();
							}
								else
							{
								opentable();
								tableheader( "Список валют &raquo; Массовые действия" );
echo <<<HTML

<form method="post" action="" name="BoardMassAction" onsubmit="formSubmit( 'BoardMassAction', 'action.php', 'currency', 'ajax.gif', 'UpdateStatus', 'UpdateStatus', UpdateButton ); return false;">
	<div style="padding: 25px; text-align: center;">
		Вы уверены, что хотите удалить выбранные <strong>({$CountCheck})</strong> валюты?<br /><br />
		<input type="submit" name="submit" value="Да" class="edit" />
		<input type="button" value="Нет" class="edit" onclick="UpdateList( 'currency' ); return false;" />
		{$HiddenCheck}
	</div>
</form>

HTML;
								closetable();
							}
					}
						else
					{
						opentable();
						tableheader( "Список валют &raquo; Массовые действия" );
						echo "<div style=\"padding: 25px; text-align: center;\">Выберите действие для валют<br /><br /><a href=\"javascript:void(0);\" onclick=\"UpdateList( 'currency' ); return false;\">Вернуться назад</a></div>";
						closetable();		
					}
			}
				else
			{
				opentable();
				tableheader( "Список валют &raquo; Массовые действия" );
				echo "<div style=\"padding: 25px; text-align: center;\">Выберите как минимум одну валюту<br /><br /><a href=\"javascript:void(0);\" onclick=\"UpdateList( 'currency' ); return false;\">Вернуться назад</a></div>";
				closetable();
			}
	}
		else
	{
		opentable();
		tableheader( "Список валют &raquo; Массовые действия" );
		echo "<div style=\"padding: 25px; text-align: center;\">Выберите как минимум одну валюту<br /><br /><a href=\"javascript:void(0);\" onclick=\"UpdateList( 'currency' ); return false;\">Вернуться назад</a></div>";
		closetable();
	}

//-------------------------------------------------====
//	Завершение работы
//-------------------------------------------------====

$db->close();

?>